%define module	Lingua-Preferred
%define version	0.2.4
%define release	1mdk

Summary:	Perl extension to choose a language
License:	GPL/Artistic
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
Group:		Development/Perl
Url:		http://www.cpan.org/
Source:		%{module}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-root
AutoReqProv:    no
BuildArch:	noarch
BuildRequires:	perl-Log-TraceMessages
BuildRequires:	perl-devel


%description
Often human-readable information is available in more than one language. Which
should you use? This module provides a way for the user to specify possible
languages in order of preference, and then to pick the best language of those
available. Different 'dialects' given by the 'territory' part of the language
specifier (such as en, en_GB, and en_US) are also supported.

Authors:
--------
        Ed Avis <epa98@doc.ic.ac.uk>

%prep
%setup -n %{module}-%{version} -q

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}
make test

%install
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Lingua/Preferred.pm
%{perl_vendorlib}/auto/Lingua/Preferred/autosplit.ix
%{_mandir}/*/*

%changelog
* Sun Jan 11 2004 Stefan van der Eijk <stefan@eijk.nu> 0.2.4-1mdk
- 0.2.4

* Thu Nov 27 2003 Stefan van der Eijk <stefan@eijk.nu> 0.2.2-1mdk
- 0.2.2
- adjusted .spec file

* Wed Apr 09 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.2-1mdk
- Rebuilt for Mandrake 9.1

* Thu May 30 2002 - James Oakley <jfunk@funktronics.ca>
- Initial build with new spec layout
